Publicado MediaProxy 2.1.0

AG Projects ha publicado una nueva versión de su aplicación MediaProxy. Esta aplicación funciona como un proxy rtp para solucionar problemas de NAT en sesiones SIP. MediaProxy está programado en Python y ofrece la posibilidad de tener proxies rtp distribuidos en diferentes localizaciones, gestionados y controlados por un único punto, además de generar accounting de las llamadas y poder terminar una llamada/sesión si se deja de recibir RTP.

Parece que AG Projects ha decidido enfocarse sólo en el soporte de MediaProxy para OpenSIPS… ¿una forma de intentar captar usuarios para uno de los bandos surgidos después del fork de OpenSER/Kamailio?…

This entry was posted in kamailio, openser, opensips, sip, voip. Bookmark the permalink.

8 Responses to Publicado MediaProxy 2.1.0

  1. victor says:

    “ofrece la posibilidad de tener proxies rtp distribuidos en diferentes localizaciones, gestionados y controlados por un único punto”

    La interface “SIP Proxy Media Proxy”, marcada como TLS… ¿es propietaria o usa H.248/Megaco?

    Saludos,
    Victor

  2. jesusr says:

    Hola Victor,

    La verdad es que no tengo ni idea, pero me inclino hacia que es algo propietario, tipo a lo que usa rtpproxy pero con más información.

    Saludos
    JesusR.

  3. Iñaki says:

    Sólo un detalle: Así como la versión 1.X estaba íntegramente programada en Python, ésta última usa Iptables directamente para la gestión de conexiones (y hasta ahí puedo leer…).

  4. victor says:

    @Iñaki: Sigue sigue 🙂

  5. jesusr says:

    Eso, eso, sigue!!

    De todas formas, que esta nueva versión sólo funcione con OpenSIPS 1.4 es acercarse mucho al abismo… yo me lo pensaría bastante :-/

  6. Iñaki says:

    ¿Qué siga? “y hasta ahí puedo leer…” viene a significar “he oído campanas y no sé dónde…” XD

    No a ver, lo único que sé es que se aprovecha del Conntrack de Linux (el Contrack gestiona tanto las conexiones TCP como las “conexiones” UDP, y es usado por ejemplo por Iptables para conocer si un paquete TCP/UPD/ICMP/¿SCTP? es respuesta a otro y permitirle pasar):

    “To run the software, you will need a server running the Linux Operating System using a kernel version 2.6.18 or higher that has been compiled with connection tracking support (conntrack). Because of this dependency on Linux, other operating systems are not supported.”

    ¿Algún usuario de *BSD por aquí? XD

  7. Iñaki says:

    Y por cierto, donde dije “usa Iptables” obviamente quería decir “usa el Conntrack” 🙂

  8. jesusr says:

    Ya decía yo que hice bien en usar rtpproxy desde el primer momento… 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *